| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
optoICC.registers.icc_registers.SarynControl Class Reference

Parent class => FeedbackSystem
More...

Inheritance diagram for optoICC.registers.icc_registers.SarynControl:

## Public Member Functions
def | __init__ (self, board=None)
def | get_value (self, channel)
def | get_value_id (self, channel)
def | is_init_done (self)
def | get_hall_voltage_x (self)
def | get_hall_voltage_y (self)
def | get_hall_voltage_z (self)
def | set_x (self, value=0)
def | set_y (self, value=0)
def | set_z (self, value=0)
def | set_update_freq (self, value=2000)
def | set_max_output_current (self, value=0.1)
def | set_axis_in_limit_x (self, min_voltage, max_voltage)
def | set_axis_in_limit_y (self, min_voltage, max_voltage)
def | set_axis_in_limit_z (self, min_voltage, max_voltage)
def | set_hall_in_limit_ch0 (self, min_voltage, max_voltage)
def | set_hall_in_limit_ch1 (self, min_voltage, max_voltage)
def | set_hall_in_limit_ch2 (self, min_voltage, max_voltage)
def | init (self)
def | start_controller (self)
def | stop_controller (self)
def | start_optical_stabilisation (self)
def | stop_optical_stabilisation (self)
def | set_poly_hall_to_current_x (self, vector)
def | set_poly_hall_to_current_y (self, vector)
def | set_poly_hall_to_current_z (self, vector)
def | set_poly_hall_to_current_ch0 (self, vector)
def | set_poly_hall_to_current_ch1 (self, vector)
def | set_poly_hall_to_current_ch2 (self, vector)
def | set_pid_coef_ch0 (self, kp, ki, kd)
def | set_pid_coef_ch1 (self, kp, ki, kd)
def | set_pid_coef_ch2 (self, kp, ki, kd)
def | set_pid_coef_x (self, kp, ki, kd)
def | set_pid_coef_y (self, kp, ki, kd)
def | set_pid_coef_z (self, kp, ki, kd)
def | set_pid_coef_os_x (self, kp, ki, kd)
def | set_pid_coef_os_y (self, kp, ki, kd)
def | set_poly_tf_feedback_hall_to_axis_x (self, poly)
def | set_poly_tf_feedback_hall_to_axis_y (self, poly)
def | set_poly_tf_feedback_hall_to_axis_z (self, poly)

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| run_controller
| run_os
| update_frequency
| setpoint_hall_ch0
| setpoint_hall_ch1
| setpoint_hall_ch2
| setpoint_tilt_x
| setpoint_tilt_y
| setpoint_shift_z
| hall_voltage_ch0
| hall_voltage_ch1
| hall_voltage_ch2
| hall_voltage_x
| hall_voltage_y
| hall_voltage_z
| output_current_ch0
| output_current_ch1
| output_current_ch2
| output_max_current
| axis_in_x_max
| axis_in_x_min
| axis_in_y_max
| axis_in_y_min
| axis_in_z_max
| axis_in_z_min
| hall_in_ch0_min
| hall_in_ch0_max
| hall_in_ch1_min
| hall_in_ch1_max
| hall_in_ch2_min
| hall_in_ch2_max
| init_sys
| vec_polly_hall_to_current_x
| vec_polly_hall_to_current_y
| vec_polly_hall_to_current_z
| vec_polly_hall_to_current_ch0
| vec_polly_hall_to_current_ch1
| vec_polly_hall_to_current_ch2
| vec_pid_coef_ch0
| vec_pid_coef_ch1
| vec_pid_coef_ch2
| vec_pid_coef_x
| vec_pid_coef_y
| vec_pid_coef_z
| vec_os_pid_coef_x
| vec_os_pid_coef_y
| vec_tf_hall_to_axis_x
| vec_tf_hall_to_axis_y
| vec_tf_hall_to_axis_z
| name

## Static Protected Attributes
bool | _is_a_system = True

## Detailed Description

Parent class => FeedbackSystem

    Device Functionality - Saryn Control
    System ID: 0x38

    * \page Saryn Control
    * Saryn Control system ID: <b>0x38</b>
    *
    * Control system for Saryn project,
    * this system provides optical stabilisation based on gyro data (from InertialMeasurementSystem).
    * Whole control compose from 3 stages:
    * - Optical Stabilisation   - PID for X and Y movement
    *                           - setpoint=0, feedback=gyro, output=axis_controller
    * - Axis controller     - 3x(PID+Feedforward polynome) for X, Y, Z axis
    *                       - setpoint=optical_stabilization, feedback=transformed_hall_voltage, output=channel_controller
    * - Channel controller - 3x(PID+Feedforward polynome) for hall channels 0, 1, 2
    *                       - setpoint=axis_controller, feedback=hall_voltage, output=current_for_given_channel
    *
    *
    * \note: By feedforward polynome we mean feedforward_output = setpoint^0*poly[0] + setpoint^1*poly[1] + ... + setpoint^(n-1)*poly[n-1]
    *           where n = @polynom_order = 4
    *           controller_output = feedforward_output + pid_output
    *
    * ### Register Map:
    *
    *   *  | Address | Name             | Default Value | Description                                           |  Type  | Access     |
    *  |---------|---------------------|---------------|-------------------------------------------------------|--------|------------|
    *  | 0x3800  | RUN_CONTROLLER      | false         | Enable/Disable all control loops                   | boolean| read write |
    *  | 0x3801  | RUN_OS           | false         | Enable/Disable optical stabilisation                  | boolean| read write |
    *  | 0x3802  | UPDATE_FREQUENCY     | 2000          | Controllers update frequency [Hz]                     | uint8_t| read write |
    *  | 0x3803  | SETPOINT_HALL_CH0    | 0             | Required value for channel 0 [V]                      | float  | read only  |
    *  | 0x3804  | SETPOINT_HALL_CH1   | 0             | Required value for channel 1 [V]                       | float  | read only  |
    *  | 0x3805  | SETPOINT_HALL_CH2   | 0             | Required value for channel 2 [V]                   | boolean| read only  |
    *  | 0x3806  | SETPOINT_TILT_X     | 0             | Required value for X axis [deg]                    | float  | read write |
    *  | 0x3807  | SETPOINT_TILT_Y     | 0             | Required value for Y axis [deg]                    | float  | read write |
    *  | 0x3808  | SETPOINT_SHIFT_Z | 0             | Required value for Z axis TODO [dpt or mm]            | float  | read write |
    *  | 0x3809  | FB_HALL_CH0          | N/A           | Feedback value from hall sensor for channel 0 [V]     | uint16 | read write |
    *  | 0x380A  | FB_HALL_CH1      | N/A           | Feedback value from hall sensor for channel 1 [V]     | uint8_t| read write |
    *  | 0x380B  | FB_HALL_CH2      | N/A           | Feedback value from hall sensor for channel 2 [V]     | uint8_t| read write |
    *  | 0x380C  | FB_HALL_X            | N/A           | Transformed FB value from hall for X axis [deg]       | uint8_t| read only  |
    *  | 0x380D  | FB_HALL_Y            | N/A           | Transformed FB value from hall for Y axis [deg]       | uint8_t| read only  |
    *  | 0x380E  | FB_HALL_Z            | N/A           | Transformed FB value from hall for Z axis [dpt or mm] | float  | read only  |
    *  | 0x380F  | OUT_CURRENT_CH0      | 0             | Output of the controller for channel 0 [A]            | float  | read only  |
    *  | 0x3810  | OUT_CURRENT_CH1      | 0             | Output of the controller for channel 0 [A]            | float  | read only  |
    *  | 0x3811  | OUT_CURRENT_CH2      | 0             | Output of the controller for channel 0 [A]            | float  | read only  |
    *  | 0x3812  | OUT_MAX_CURRENT      | 0.1           | Maximal output current for individual channel [A]     | float  | write      |
    *  | 0x3813  | AXIS_IN_X_MAX        | 0             | Upper limit for input of X axis controller [deg]      | float  | write      |
    *  | 0x3814  | AXIS_IN_X_MIN        | 0             | Lower limit for input of X axis controller [deg]      | float  | write      |
    *  | 0x3815  | AXIS_IN_Y_MAX        | 0             | Upper limit for input of Y axis controller [deg]      | float  | write      |
    *  | 0x3816  | AXIS_IN_Y_MIN        | 0             | Lower limit for input of Y axis controller [deg]      | float  | write      |
    *  | 0x3817  | AXIS_IN_Z_MAX        | 0             | Upper limit for input of Z axis controller [dpt/mm]   | float  | write      |
    *  | 0x3818  | AXIS_IN_Z_MIN        | 0             | Lower limit for input of Z axis controller [dpt/mm]   | float  | write      |
    *  | 0x3819  | HALL_IN_CH0_MIN      | 0             | Lower limit for input of Channel 0 controller [V]     | float  | write      |
    *  | 0x381A  | HALL_IN_CH0_MAX      | 0             | Upper limit for input of Channel 0 controller [V]     | float  | write      |
    *  | 0x381B  | HALL_IN_CH1_MIN      | 0             | Lower limit for input of Channel 1 controller [V]     | float  | write      |
    *  | 0x381C  | HALL_IN_CH1_MAX      | 0             | Upper limit for input of Channel 1 controller [V]     | float  | write      |
    *  | 0x381D  | HALL_IN_CH2_MIN      | 0             | Lower limit for input of Channel 2 controller [V]     | float  | write      |
    *  | 0x381E  | HALL_IN_CH2_MAX      | 0             | Upper limit for input of Channel 2 controller [V]     | float  | write      |
    *  | 0x381F  | INIT                 | false         | Writes configuration from registers into IMU          | uint8  | write      |
    *  |---------|---------------------|---------------|-------------------------------------------------------|--------|------------|
    *
    * ### Vector Map:
    *
    * | Address | Name                      | Default       | Description                                                       | Format and value          | Access     |
    * |---------|--------------------------|---------------|-------------------------------------------------------------------|---------------------------|------------|
    * | 0x3800  | HALL_TO_CURRENT_POLY_X    | [0, 1, 0, 0 ] | {a0, a1, a2, a3}, feedforward polynome, outX=pidX.out+refX*polyX  | @polynom_order(=4) *float | read write |
    * | 0x3801  | HALL_TO_CURRENT_POLY_Y    | [0, 1, 0, 0 ] | {a0, a1, a2, a3}, feedforward polynome, outY=pidY.out+refY*polyY  | @polynom_order(=4) *float | read write |
    * | 0x3802  | HALL_TO_CURRENT_POLY_Z    | [0, 1, 0, 0 ] | {a0, a1, a2, a3}, feedforward polynome, outZ=pidZ.out+refZ*polyZ  | @polynom_order(=4) *float | read write |
    * | 0x3803  | HALL_TO_CURRENT_POLY_CH0  | [0, 0, 0, 0 ] | {a0, a1, a2, a3}, feedforward polynome, out0=pid0.out+ref0*poly0  | @polynom_order(=4) *float | read write |
    * | 0x3804  | HALL_TO_CURRENT_POLY_CH1  | [0, 0, 0, 0 ] | {a0, a1, a2, a3}, feedforward polynome, out1=pid1.out+ref1*poly1  | @polynom_order(=4) *float | read write |
    * | 0x3805  | HALL_TO_CURRENT_POLY_CH2  | [0, 0, 0, 0 ] | {a0, a1, a2, a3}, feedforward polynome, out2=pid2.out+ref2*poly2  | @polynom_order(=4) *float | read write |
    * | 0x3806  | HALL_PID_COEF_CH0     | [0, 0, 0 ]    | {Kp, Ki, Kd}, PID coefficients for channel 0 controller           | 3*float                   | write      |
    * | 0x3807  | HALL_PID_COEF_CH1     | [0, 0, 0 ]    | {Kp, Ki, Kd}, PID coefficients for channel 1 controller           | 3*float                   | write      |
    * | 0x3808  | HALL_PID_COEF_CH2     | [0, 0, 0 ]    | {Kp, Ki, Kd}, PID coefficients for channel 2 controller           | 3*float                   | write      |
    * | 0x3809  | HALL_PID_COEF_X           | [0, 0, 0 ]    | {Kp, Ki, Kd}, PID coefficients for X axis controller              | 3*float                   | write      |
    * | 0x380A  | HALL_PID_COEF_Y           | [0, 0, 0 ]    | {Kp, Ki, Kd}, PID coefficients for Y axis controller              | 3*float                   | write      |
    * | 0x380B  | HALL_PID_COEF_Z           | [0, 0, 0 ]    | {Kp, Ki, Kd}, PID coefficients for Z axis controller              | 3*float                   | write      |
    * | 0x380C  | OS_PID_CEF_X              | [0, 0, 0 ]    | {Kp, Ki, Kd}, PID coefficients for optical stabilisation in X dir | 3*float                   | write      |
    * | 0x380D  | OS_PID_CEF_Y              | [0, 0, 0 ]    | {Kp, Ki, Kd}, PID coefficients for optical stabilisation in X dir | 3*float                   | write      |
    * | 0x380E  | TF_HALL_TO_AXIS_X     | [0, 0, 0, 0 ] | {a0, a1, a2, a3}, conversion from hall voltage to X axis          | @polynom_order(=4) *float | write      |
    * | 0x380F  | TF_HALL_TO_AXIS_Y     | [0, 0, 0, 0 ] | {a0, a1, a2, a3}, conversion from hall voltage to Y axis          | @polynom_order(=4) *float | write      |
    * | 0x380F  | TF_HALL_TO_AXIS_Z     | [0, 0, 0, 0 ] | {a0, a1, a2, a3}, conversion from hall voltage to Z axis          | @polynom_order(=4) *float | write      |
    *

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICC.registers.icc_registers.SarynControl.__init__ | ( |  | self,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ get_hall_voltage_x()

def optoICC.registers.icc_registers.SarynControl.get_hall_voltage_x | ( |  | self | ) |

## ◆ get_hall_voltage_y()

def optoICC.registers.icc_registers.SarynControl.get_hall_voltage_y | ( |  | self | ) |

## ◆ get_hall_voltage_z()

def optoICC.registers.icc_registers.SarynControl.get_hall_voltage_z | ( |  | self | ) |

## ◆ get_value()

def optoICC.registers.icc_registers.SarynControl.get_value | ( |  | self,
|  |  | channel
| ) |  |

## ◆ get_value_id()

def optoICC.registers.icc_registers.SarynControl.get_value_id | ( |  | self,
|  |  | channel
| ) |  |

## ◆ help()

def optoICC.registers.icc_registers.SarynControl.help | ( |  | ) |
| static

## ◆ init()

def optoICC.registers.icc_registers.SarynControl.init | ( |  | self | ) |

## ◆ is_init_done()

def optoICC.registers.icc_registers.SarynControl.is_init_done | ( |  | self | ) |

## ◆ set_axis_in_limit_x()

def optoICC.registers.icc_registers.SarynControl.set_axis_in_limit_x | ( |  | self,
|  |  | min_voltage,
|  |  | max_voltage
| ) |  |

## ◆ set_axis_in_limit_y()

def optoICC.registers.icc_registers.SarynControl.set_axis_in_limit_y | ( |  | self,
|  |  | min_voltage,
|  |  | max_voltage
| ) |  |

## ◆ set_axis_in_limit_z()

def optoICC.registers.icc_registers.SarynControl.set_axis_in_limit_z | ( |  | self,
|  |  | min_voltage,
|  |  | max_voltage
| ) |  |

## ◆ set_hall_in_limit_ch0()

def optoICC.registers.icc_registers.SarynControl.set_hall_in_limit_ch0 | ( |  | self,
|  |  | min_voltage,
|  |  | max_voltage
| ) |  |

## ◆ set_hall_in_limit_ch1()

def optoICC.registers.icc_registers.SarynControl.set_hall_in_limit_ch1 | ( |  | self,
|  |  | min_voltage,
|  |  | max_voltage
| ) |  |

## ◆ set_hall_in_limit_ch2()

def optoICC.registers.icc_registers.SarynControl.set_hall_in_limit_ch2 | ( |  | self,
|  |  | min_voltage,
|  |  | max_voltage
| ) |  |

## ◆ set_max_output_current()

def optoICC.registers.icc_registers.SarynControl.set_max_output_current | ( |  | self,
|  |  | value = `0.1`
| ) |  |

## ◆ set_pid_coef_ch0()

def optoICC.registers.icc_registers.SarynControl.set_pid_coef_ch0 | ( |  | self,
|  |  | kp,
|  |  | ki,
|  |  | kd
| ) |  |

## ◆ set_pid_coef_ch1()

def optoICC.registers.icc_registers.SarynControl.set_pid_coef_ch1 | ( |  | self,
|  |  | kp,
|  |  | ki,
|  |  | kd
| ) |  |

## ◆ set_pid_coef_ch2()

def optoICC.registers.icc_registers.SarynControl.set_pid_coef_ch2 | ( |  | self,
|  |  | kp,
|  |  | ki,
|  |  | kd
| ) |  |

## ◆ set_pid_coef_os_x()

def optoICC.registers.icc_registers.SarynControl.set_pid_coef_os_x | ( |  | self,
|  |  | kp,
|  |  | ki,
|  |  | kd
| ) |  |

## ◆ set_pid_coef_os_y()

def optoICC.registers.icc_registers.SarynControl.set_pid_coef_os_y | ( |  | self,
|  |  | kp,
|  |  | ki,
|  |  | kd
| ) |  |

## ◆ set_pid_coef_x()

def optoICC.registers.icc_registers.SarynControl.set_pid_coef_x | ( |  | self,
|  |  | kp,
|  |  | ki,
|  |  | kd
| ) |  |

## ◆ set_pid_coef_y()

def optoICC.registers.icc_registers.SarynControl.set_pid_coef_y | ( |  | self,
|  |  | kp,
|  |  | ki,
|  |  | kd
| ) |  |

## ◆ set_pid_coef_z()

def optoICC.registers.icc_registers.SarynControl.set_pid_coef_z | ( |  | self,
|  |  | kp,
|  |  | ki,
|  |  | kd
| ) |  |

## ◆ set_poly_hall_to_current_ch0()

def optoICC.registers.icc_registers.SarynControl.set_poly_hall_to_current_ch0 | ( |  | self,
|  |  | vector
| ) |  |

## ◆ set_poly_hall_to_current_ch1()

def optoICC.registers.icc_registers.SarynControl.set_poly_hall_to_current_ch1 | ( |  | self,
|  |  | vector
| ) |  |

## ◆ set_poly_hall_to_current_ch2()

def optoICC.registers.icc_registers.SarynControl.set_poly_hall_to_current_ch2 | ( |  | self,
|  |  | vector
| ) |  |

## ◆ set_poly_hall_to_current_x()

def optoICC.registers.icc_registers.SarynControl.set_poly_hall_to_current_x | ( |  | self,
|  |  | vector
| ) |  |

## ◆ set_poly_hall_to_current_y()

def optoICC.registers.icc_registers.SarynControl.set_poly_hall_to_current_y | ( |  | self,
|  |  | vector
| ) |  |

## ◆ set_poly_hall_to_current_z()

def optoICC.registers.icc_registers.SarynControl.set_poly_hall_to_current_z | ( |  | self,
|  |  | vector
| ) |  |

## ◆ set_poly_tf_feedback_hall_to_axis_x()

def optoICC.registers.icc_registers.SarynControl.set_poly_tf_feedback_hall_to_axis_x | ( |  | self,
|  |  | poly
| ) |  |

## ◆ set_poly_tf_feedback_hall_to_axis_y()

def optoICC.registers.icc_registers.SarynControl.set_poly_tf_feedback_hall_to_axis_y | ( |  | self,
|  |  | poly
| ) |  |

## ◆ set_poly_tf_feedback_hall_to_axis_z()

def optoICC.registers.icc_registers.SarynControl.set_poly_tf_feedback_hall_to_axis_z | ( |  | self,
|  |  | poly
| ) |  |

## ◆ set_update_freq()

def optoICC.registers.icc_registers.SarynControl.set_update_freq | ( |  | self,
|  |  | value = `2000`
| ) |  |

## ◆ set_x()

def optoICC.registers.icc_registers.SarynControl.set_x | ( |  | self,
|  |  | value = `0`
| ) |  |

## ◆ set_y()

def optoICC.registers.icc_registers.SarynControl.set_y | ( |  | self,
|  |  | value = `0`
| ) |  |

## ◆ set_z()

def optoICC.registers.icc_registers.SarynControl.set_z | ( |  | self,
|  |  | value = `0`
| ) |  |

## ◆ start_controller()

def optoICC.registers.icc_registers.SarynControl.start_controller | ( |  | self | ) |

## ◆ start_optical_stabilisation()

def optoICC.registers.icc_registers.SarynControl.start_optical_stabilisation | ( |  | self | ) |

## ◆ stop_controller()

def optoICC.registers.icc_registers.SarynControl.stop_controller | ( |  | self | ) |

## ◆ stop_optical_stabilisation()

def optoICC.registers.icc_registers.SarynControl.stop_optical_stabilisation | ( |  | self | ) |

## Member Data Documentation

## ◆ _is_a_system

bool optoICC.registers.icc_registers.SarynControl._is_a_system = True
| static protected

## ◆ axis_in_x_max

optoICC.registers.icc_registers.SarynControl.axis_in_x_max

## ◆ axis_in_x_min

optoICC.registers.icc_registers.SarynControl.axis_in_x_min

## ◆ axis_in_y_max

optoICC.registers.icc_registers.SarynControl.axis_in_y_max

## ◆ axis_in_y_min

optoICC.registers.icc_registers.SarynControl.axis_in_y_min

## ◆ axis_in_z_max

optoICC.registers.icc_registers.SarynControl.axis_in_z_max

## ◆ axis_in_z_min

optoICC.registers.icc_registers.SarynControl.axis_in_z_min

## ◆ hall_in_ch0_max

optoICC.registers.icc_registers.SarynControl.hall_in_ch0_max

## ◆ hall_in_ch0_min

optoICC.registers.icc_registers.SarynControl.hall_in_ch0_min

## ◆ hall_in_ch1_max

optoICC.registers.icc_registers.SarynControl.hall_in_ch1_max

## ◆ hall_in_ch1_min

optoICC.registers.icc_registers.SarynControl.hall_in_ch1_min

## ◆ hall_in_ch2_max

optoICC.registers.icc_registers.SarynControl.hall_in_ch2_max

## ◆ hall_in_ch2_min

optoICC.registers.icc_registers.SarynControl.hall_in_ch2_min

## ◆ hall_voltage_ch0

optoICC.registers.icc_registers.SarynControl.hall_voltage_ch0

## ◆ hall_voltage_ch1

optoICC.registers.icc_registers.SarynControl.hall_voltage_ch1

## ◆ hall_voltage_ch2

optoICC.registers.icc_registers.SarynControl.hall_voltage_ch2

## ◆ hall_voltage_x

optoICC.registers.icc_registers.SarynControl.hall_voltage_x

## ◆ hall_voltage_y

optoICC.registers.icc_registers.SarynControl.hall_voltage_y

## ◆ hall_voltage_z

optoICC.registers.icc_registers.SarynControl.hall_voltage_z

## ◆ init_sys

optoICC.registers.icc_registers.SarynControl.init_sys

## ◆ name

optoICC.registers.icc_registers.SarynControl.name

## ◆ output_current_ch0

optoICC.registers.icc_registers.SarynControl.output_current_ch0

## ◆ output_current_ch1

optoICC.registers.icc_registers.SarynControl.output_current_ch1

## ◆ output_current_ch2

optoICC.registers.icc_registers.SarynControl.output_current_ch2

## ◆ output_max_current

optoICC.registers.icc_registers.SarynControl.output_max_current

## ◆ run_controller

optoICC.registers.icc_registers.SarynControl.run_controller

## ◆ run_os

optoICC.registers.icc_registers.SarynControl.run_os

## ◆ setpoint_hall_ch0

optoICC.registers.icc_registers.SarynControl.setpoint_hall_ch0

## ◆ setpoint_hall_ch1

optoICC.registers.icc_registers.SarynControl.setpoint_hall_ch1

## ◆ setpoint_hall_ch2

optoICC.registers.icc_registers.SarynControl.setpoint_hall_ch2

## ◆ setpoint_shift_z

optoICC.registers.icc_registers.SarynControl.setpoint_shift_z

## ◆ setpoint_tilt_x

optoICC.registers.icc_registers.SarynControl.setpoint_tilt_x

## ◆ setpoint_tilt_y

optoICC.registers.icc_registers.SarynControl.setpoint_tilt_y

## ◆ sys_id

optoICC.registers.icc_registers.SarynControl.sys_id

## ◆ update_frequency

optoICC.registers.icc_registers.SarynControl.update_frequency

## ◆ vec_os_pid_coef_x

optoICC.registers.icc_registers.SarynControl.vec_os_pid_coef_x

## ◆ vec_os_pid_coef_y

optoICC.registers.icc_registers.SarynControl.vec_os_pid_coef_y

## ◆ vec_pid_coef_ch0

optoICC.registers.icc_registers.SarynControl.vec_pid_coef_ch0

## ◆ vec_pid_coef_ch1

optoICC.registers.icc_registers.SarynControl.vec_pid_coef_ch1

## ◆ vec_pid_coef_ch2

optoICC.registers.icc_registers.SarynControl.vec_pid_coef_ch2

## ◆ vec_pid_coef_x

optoICC.registers.icc_registers.SarynControl.vec_pid_coef_x

## ◆ vec_pid_coef_y

optoICC.registers.icc_registers.SarynControl.vec_pid_coef_y

## ◆ vec_pid_coef_z

optoICC.registers.icc_registers.SarynControl.vec_pid_coef_z

## ◆ vec_polly_hall_to_current_ch0

optoICC.registers.icc_registers.SarynControl.vec_polly_hall_to_current_ch0

## ◆ vec_polly_hall_to_current_ch1

optoICC.registers.icc_registers.SarynControl.vec_polly_hall_to_current_ch1

## ◆ vec_polly_hall_to_current_ch2

optoICC.registers.icc_registers.SarynControl.vec_polly_hall_to_current_ch2

## ◆ vec_polly_hall_to_current_x

optoICC.registers.icc_registers.SarynControl.vec_polly_hall_to_current_x

## ◆ vec_polly_hall_to_current_y

optoICC.registers.icc_registers.SarynControl.vec_polly_hall_to_current_y

## ◆ vec_polly_hall_to_current_z

optoICC.registers.icc_registers.SarynControl.vec_polly_hall_to_current_z

## ◆ vec_tf_hall_to_axis_x

optoICC.registers.icc_registers.SarynControl.vec_tf_hall_to_axis_x

## ◆ vec_tf_hall_to_axis_y

optoICC.registers.icc_registers.SarynControl.vec_tf_hall_to_axis_y

## ◆ vec_tf_hall_to_axis_z

optoICC.registers.icc_registers.SarynControl.vec_tf_hall_to_axis_z

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/145-713-00-OptoICC/src/main/python/optoICC/registers/icc_registers.py